"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.currentDirectoryInstall = void 0;
const helpers_1 = require("./helpers");
const index_1 = require("./index");
async function currentDirectoryInstall(options) {
    const localDependencies = await readLocalDependencies(options.dependencies);
    const installer = new index_1.LocalInstaller({ '.': localDependencies });
    index_1.progress(installer);
    const targets = await installer.install();
    await index_1.saveIfNeeded(targets, options);
}
exports.currentDirectoryInstall = currentDirectoryInstall;
async function readLocalDependencies(dependenciesFromArguments) {
    if (dependenciesFromArguments.length) {
        return dependenciesFromArguments;
    }
    else {
        const pkg = await helpers_1.readPackageJson('.');
        if (pkg.localDependencies) {
            return Object.values(pkg.localDependencies);
        }
        else {
            return [];
        }
    }
}
//# sourceMappingURL=currentDirectoryInstall.js.map