"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.siblingInstall = void 0;
const _ = __importStar(require("lodash"));
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
const helpers_1 = require("./helpers");
const index_1 = require("./index");
function filterTruthy(values) {
    return values.filter((v) => v);
}
function readSiblingTargets() {
    const currentDirectoryName = path_1.default.basename(process.cwd());
    return fs_1.promises
        .readdir('..')
        .then((dirs) => dirs.filter((dir) => dir !== currentDirectoryName))
        .then((dirs) => dirs.map((dir) => path_1.default.resolve('..', dir)))
        .then((dirs) => Promise.all(dirs.map((directory) => helpers_1.readPackageJson(directory)
        .then((packageJson) => ({ directory, packageJson }))
        .catch(() => null))))
        .then(filterTruthy);
}
function siblingTargetsCurrent(siblingPackage) {
    const currentDirectory = path_1.default.resolve('.');
    return _.values(siblingPackage.packageJson.localDependencies).some((localDependencyPath) => path_1.default.resolve(localDependencyPath) === currentDirectory);
}
function siblingInstall() {
    return readSiblingTargets()
        .then((siblings) => siblings.filter(siblingTargetsCurrent))
        .then((targets) => {
        const sourceByTarget = {};
        targets.forEach((target) => (sourceByTarget[target.directory] = ['.']));
        const installer = new index_1.LocalInstaller(sourceByTarget);
        index_1.progress(installer);
        return installer.install();
    })
        .then(() => void 0);
}
exports.siblingInstall = siblingInstall;
//# sourceMappingURL=siblingInstall.js.map