"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.exec = exports.getRandomTmpDir = exports.del = void 0;
const execa_1 = __importDefault(require("execa"));
const os_1 = __importDefault(require("os"));
const path_1 = __importDefault(require("path"));
const rimraf_1 = __importDefault(require("rimraf"));
const uniqid_1 = __importDefault(require("uniqid"));
function del(filename) {
    return new Promise((resolve, reject) => rimraf_1.default(filename, (err) => {
        if (err) {
            reject(err);
        }
        else {
            resolve();
        }
    }));
}
exports.del = del;
function getRandomTmpDir(prefix) {
    return path_1.default.resolve(os_1.default.tmpdir(), uniqid_1.default(prefix));
}
exports.getRandomTmpDir = getRandomTmpDir;
function exec(file, args, options) {
    return execa_1.default(file, args, options);
}
exports.exec = exec;
//# sourceMappingURL=utils.js.map